%define name    gcfilms 
%define version 6.4
%define rel 2
%define release %mkrel %{rel}
%define iconname %{name}.png

%define section  More Applications/Databases
%define title   Gcfilms

Summary:    Movie collection manager 
Name:       %{name}
Version:    %{version}
Release:    %{release}
License:    GPL
Group:      Databases
URL:        https://gna.org/projects/gcfilms/
Source:     %{name}-%{version}.tar.bz2
BuildRoot:  %{_tmppath}/%{name}-root
Requires:   gtk2
BuildArch:  noarch 

%description
GCfilms is an application that can be used to manage a movie collection. 
A user can stock all the movies he has with some associated informations 
(where it is located, movie category, already seen or not, a rating,...). 
Then one can retrieve some movies matching filtering criteria (specific 
values for movies information).

This application has a plugin system to be able to find movies specific
information (running time, actors, director,...) from Internet websites. 
The user only enters the movie title and GCfilms automatically fills in 
these fields.
 

%prep 
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{name}
 
%build

# this doesn't work..
#./install --text --prefix=$RPM_BUILD_ROOT/usr  

mkdir -p %{buildroot}%{_prefix}
install -d %{buildroot}%{_bindir}
install bin/gcfilms %{buildroot}%{_bindir}
install -d %{buildroot}%{_libdir}
cp -a lib/gcfilms %{buildroot}%{_libdir}
install -d %{buildroot}%{_datadir}
cp -a share/* %{buildroot}%{_datadir}

mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir},%{_menudir}}
cp share/gcfilms/icons/%{name}_48x48.png %{buildroot}%{_liconsdir}/%{iconname}
cp share/gcfilms/icons/%{name}_32x32.png %{buildroot}%{_iconsdir}/%{iconname} 
cp share/gcfilms/icons/%{name}_16x16.png %{buildroot}%{_miconsdir}/%{iconname} 
cat > %{buildroot}%{_menudir}/%{name} << EOF
?package(%{name}):\
    command="%{name}" \
    icon="%{iconname}" \
    title="%{title}" \
    longtitle="Movie collection manager" \
    needs="x11" \
    section="%section" \
    xdg="true"
EOF

desktop-file-install --vendor="" \
--remove-category="Application" \
--add-category="GTK" \
--add-category="Database" \
--add-category="X-MandrivaLinux-MoreApplications-Databases" \
--dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*
 
%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root) 
%doc README CHANGELOG
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/applications/%{name}*
%{_datadir}/%{name}
%{_menudir}/%{name}
%{_miconsdir}/%{iconname}
%{_iconsdir}/%{iconname}
%{_liconsdir}/%{iconname} 

%changelog
* Fri Jul 29 2006 Charles A Edwards <eslrahc@mandriva.org> 6.4-2mdv2007.0
- include .desktop

* Fri Jul 29 2006 Jerome Soyer <saispo@mandriva.org> 6.4-1mdv2007.0
- 6.4
- XDG Menu

* Sun Jul 02 2006 Charles A Edwards <eslrahc@mandriva.org> 6.3-1mdv2007.0
- 6.3
- rpmlint fixes (some warnings)

* Mon May 29 2006 Charles A Edwards <eslrahc@mandriva.org> 6.2-2mdv2007.0
- get section and group right

* Mon May 29 2006 Charles A Edwards <eslrahc@mandriva.org> 6.2-1mdv2007.0
- 6.2
- Put all collection mgrs in Databases
- use mkrel

* Mon Feb 20 2006 Jerome Soyer <saispo@mandriva.org> 6.1-1mdk
- New release 6.1

* Wed Nov 23 2005 Tibor Pittich <Tibor.Pittich@mandriva.org> 6.0-1mdk
- 6.0
- remove imagemagick buldrequires, use ready made icons

* Fri Oct 07 2005 Nicolas Lcureuil <neoclust@mandriva.org> 5.3-2mdk
- Fix BuildRequires

* Mon Jul 25 2005 Tibor Pittich <Tibor.Pittich@mandriva.org> 5.3-1mdk
- 5.3

* Mon Jun 27 2005 Tibor Pittich <Tibor.Pittich@mandriva.org> 5.2-1mdk
- 5.2

* Mon Jun 20 2005 Tibor Pittich <Tibor.Pittich@mandriva.org> 5.1-1mdk
- 5.1
- use mkrel

* Thu May 26 2005 Tibor Pittich <Tibor.Pittich@mandriva.org> 5.0-1mdk
- new release 5.0
- change group and section name
- install procedure from fedora package

* Sat Apr 09 2005 Charles A Edwards <eslrahc@mandrake.org> 4.8-1mdk
- 4.8

* Tue Mar 15 2005 Charles A Edwards <eslrahc@mandrake.org> 4.6a-1mdk
- initial Mdk release
